Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Enum cmdReceipt.PaidMode

java.lang.Object
java.lang.Enum<cmdReceipt.PaidMode>
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.PaidMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdReceipt.PaidMode>`, `java.lang.constant.Constable`

Enclosing class:
  cmdReceipt

    public static enum cmdReceipt.PaidMode
    extends java.lang.Enum<cmdReceipt.PaidMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `BankTransfers` |
  `CashPayment` |
  `CheckPayment` |
  `Coupons` |
  `CreditPayment` |
  `Damage` |
  `DebitCardPayment` |
  `ExternalCoupons` |
  `InternalService` |
  `Packaging` |
  `ProgrammablePayment1` |
  `ProgrammablePayment2` |
  `ProgrammablePayment3` |
  `ProgrammablePayment4` |
  `WithCheck` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdReceipt.PaidMode` | `fromOrdinal​(int n)` |
  `java.lang.String` | `getId()` |
  `static cmdReceipt.PaidMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdReceipt.PaidMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CashPayment

    public static final cmdReceipt.PaidMode CashPayment

  - ### CreditPayment

    public static final cmdReceipt.PaidMode CreditPayment

  - ### CheckPayment

    public static final cmdReceipt.PaidMode CheckPayment

  - ### DebitCardPayment

    public static final cmdReceipt.PaidMode DebitCardPayment

  - ### ProgrammablePayment1

    public static final cmdReceipt.PaidMode ProgrammablePayment1

  - ### ProgrammablePayment2

    public static final cmdReceipt.PaidMode ProgrammablePayment2

  - ### ProgrammablePayment3

    public static final cmdReceipt.PaidMode ProgrammablePayment3

  - ### ProgrammablePayment4

    public static final cmdReceipt.PaidMode ProgrammablePayment4

  - ### Coupons

    public static final cmdReceipt.PaidMode Coupons

  - ### ExternalCoupons

    public static final cmdReceipt.PaidMode ExternalCoupons

  - ### Packaging

    public static final cmdReceipt.PaidMode Packaging

  - ### InternalService

    public static final cmdReceipt.PaidMode InternalService

  - ### Damage

    public static final cmdReceipt.PaidMode Damage

  - ### BankTransfers

    public static final cmdReceipt.PaidMode BankTransfers

  - ### WithCheck

    public static final cmdReceipt.PaidMode WithCheck

- ## Method Details

  - ### values

    public static cmdReceipt.PaidMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdReceipt.PaidMode valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getId

    public java.lang.String getId()

  - ### fromOrdinal

    public static cmdReceipt.PaidMode fromOrdinal​(int n)